Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
PREV NEXT | FRAMES NO FRAMES

## Package org.codehaus.groovy.grails.web.servlet.mvc.exceptions

Exception Summary
CannotRedirectException | Thrown when the request cannot be redirected.
ControllerExecutionException | Throw when an exception occurs during controller execution
GrailsMVCException | Thrown when an unrecoverable error occured in the Grails MVC framework.
IncompatibleParameterCountException | Thrown when a closure has an incompatible parameter count for a controller implementation.
InvalidUriException | Thrown when a controller cannot make sense of the URI it has to handle.
NoClosurePropertyForURIException | Thrown when no closure property has been mapped to a given URI.
NoViewNameDefinedException | Thrown when no view name is returned from a closure in a controller and no view name has been configured.
UnknownControllerException |
UnsupportedReturnValueException |

Groovy Documentation